/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#ifndef ___FA_H___
#define ___FA_H___

FA_CACHE * new_file(char *);
FAC_HEADER *  search_cache(FA_CACHE * fac,unsigned int ofs);
int insert_cache(FA_CACHE * fac,FAC_HEADER * d);
void init_ring(FA_RING * r);
void insert_ring(void * r1,void * r2);
void delete_ring(void * r);
void test_ring();
void delete_fac(FA_CACHE * fac);
void close_file(FA_CACHE * fac);
int cmp_fa(FAC_HEADER * h1,FAC_HEADER * h2);

#endif


